## 更新记录
1. 2024-10-21 
   - 修改了自动化测试脚本架构，使用PO模式，将共有方法封装在base目录下，任何模块都可以进行调用。
   - 将测试数据csv为文件统一放在测试数据目录下，并标注所属模块功能。
   - 将驱动加载方式改为更加灵活的自动下载方式，避免其他人员使用时手动下载驱动。
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但暂时还未与实际mqtt主题进行调试，需要先整理出所有的mqtt主题，再进行代码调试。
2. 2024-10-22
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但目前安卓信息上报后系统界面仍显示为离线。需进一步了解业务流后进行调试。后续完整多个安卓信息上报实现大量设备同时在线的功能验证。
   - 将安卓信息上报的MQTT相关函数封装到base目录下，方便后续调用以及维护管理。
   - 将MQTT上报消息通过csv进行读取，方便后续维护。
3. 2024-10-23
   - 优化安卓信息模块代码，MQTT一次性上报csv文件中的每行数据，并重复执行上报。
   - 了解清楚安卓信息的状态判断，后续将调试redis连接以及将键值对存入redis。
4. 2024-10-24
   - 优化MQTT底层方法，通过判断topic的值来发送不同的消息体。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 补充毫米波雷达数据上报数据，毫米波设备的device_id需要与实际设备匹配才行。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 修改提交git时代码中出现了很多非法字符的问题。
5. 2024-10-28
   - 优化了Mqtt_Send中封装的函数，补充异常处理以及日志优化。
6. 2024-11-02
   - 将原有pytest框架代码改为hytest框架使用，优化了脚本执行效率，并对应增加异常处理。
   - MQTT相关模块还未调整完。